Bug 476921 - gnome-appearance-properties ignores /desktop/gnome/background/draw_background
gnome-appearance-properties ignores /desktop/gnome/background/draw_background
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 18:45 EST by Tom Horsley
Modified: 2009-11-02 18:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-07 22:40:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 564909 None None None Never

  None (edit)
Description Tom Horsley 2008-12-17 18:45:43 EST
Description of problem:

Use gconf-editor to set the /desktop/gnome/background/draw_background
key to "false" (unchecked in gconf-editor). Startup gnome-appearance-properties,
watch the background get drawn even though the key is disabled.

Either remove that key from the schemas so users aren't led down the
garden path by the description, or actually pay attention to it
(I'd vastly prefer that gnome paid attention to it :-).

Aside from gnome-appearance-properties, gnome-settings-daemon also
wipes the background and ignores this key when it starts.

Version-Release number of selected component (if applicable):
control-center-2.24.0.1-9.fc10.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
Wipes out my background.

Expected results:
Leave my dadgum background alone. I'm drawing my own background, I want
the gnome to go away and stop bothering me.

Additional info:
Comment 1 Ray Strode [halfline] 2008-12-17 18:51:08 EST
it's actually all g-s-d... gnome-appearance-properties just fiddles with gconf which wakes g-s-d up.

There should be another gconf key to disable the "background" plugin that will do what you want I think.
Comment 2 Tom Horsley 2008-12-17 20:05:03 EST
Hey! You're right. Disabling the background plugin and logging out
and back in again to get a new instance of gnome-settings-daemon
does work. Everyone now leaves my background alone. Thanks!

The draw_background key is still confusing though :-).
Comment 3 Bastien Nocera 2009-05-07 22:40:38 EDT
See also:
http://bugzilla.gnome.org/show_bug.cgi?id=516464#c1

The current upstream discussion is at:
http://bugzilla.gnome.org/show_bug.cgi?id=564909
Comment 4 C. M. Trindade 2009-11-02 18:55:30 EST
gnome-appearance-properties does not memorize wallpaper image in FC12 Beta and forces user to log out in FC10 when some app is still being processed.

Note You need to log in before you can comment on or make changes to this bug.